Bug 316550 - Google Schoolar search (and some other) doesn't work
Summary: Google Schoolar search (and some other) doesn't work
Status: RESOLVED FIXED
Alias: None
Product: tellico
Classification: Unclassified
Component: general (show other bugs)
Version: 2.3.5
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Robby Stephenson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-11 16:09 UTC by basu123ra
Modified: 2013-03-12 05:07 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 2.3.8


Attachments
The search dialog failing to find the Google Scholar's results. (46.93 KB, image/jpeg)
2013-03-11 16:10 UTC, basu123ra
Details

Note You need to log in before you can comment on or make changes to this bug.
Description basu123ra 2013-03-11 16:09:13 UTC
When I tried to import some books or articles from internet I only get "The search returned no items". 



Reproducible: Always

Steps to Reproduce:
1. Open the search from internet dialog
2. Try searching with Google Scholar something

Actual Results:  
Get an empty list with the message "The search returned no items". 

Expected Results:  
Get all the books or articles according to the query.
Comment 1 basu123ra 2013-03-11 16:10:48 UTC
Created attachment 77958 [details]
The search dialog failing to find the Google Scholar's results.
Comment 2 Robby Stephenson 2013-03-12 05:07:55 UTC
Git commit 60cdaf66d839f497a6c3f4c951256720f3689b72 by Robby Stephenson.
Committed on 12/03/2013 at 06:06.
Pushed by rstephenson into branch '2.3'.

Fix regexp in Google Scholar fetcher

The regexp for submitting the form to set the Bibtex cookie was bad.
How did it ever work?
FIXED-IN: 2.3.8

M  +4    -0    ChangeLog
M  +1    -1    src/fetch/googlescholarfetcher.cpp
M  +1    -1    src/tests/googlescholarfetchertest.cpp

http://commits.kde.org/tellico/60cdaf66d839f497a6c3f4c951256720f3689b72